Name:          okteta
Epoch:         1
Version:       0.26.6
Release:       1mamba
Summary:       A simple editor for the raw data of files
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.kde.org
Source:        https://download.kde.org/stable/okteta/%{version}/src/okteta-%{version}.tar.xz
#Source:        http://download.kde.org/stable/release-service/%{version}/src/okteta-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqca-devel
BuildRequires: libqt5-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: libknewstuff-devel
Provides:      libokteta
Obsoletes:     libokteta

%description
Okteta is a simple editor for the raw data of files. This type of program is also called hex editor or binary editor.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kdelibs-devel

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q >/dev/null 2>&1
update-mime-database -n %{_kde5_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database -n %{_kde5_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde5_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde5_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/okteta
%{_kde5_bindir}/struct2osd
%{_libdir}/libKasten4Controllers.so.*
%{_libdir}/libKasten4Core.so.*
%{_libdir}/libKasten4Gui.so.*
%{_libdir}/libKasten4Okteta2Controllers.so.*
%{_libdir}/libKasten4Okteta2Core.so.*
%{_libdir}/libKasten4Okteta2Gui.so.*
%{_libdir}/libOkteta3Core.so.*
%{_libdir}/libOkteta3Gui.so.*
%{_libdir}/qt5/plugins/designer/oktetawidgets.so
%{_kde5_sharedir}/applications/org.kde.okteta.desktop
%{_kde5_sharedir}/metainfo/org.kde.okteta.appdata.xml
%{_kde5_sharedir}/okteta/structures/*
%{_datadir}/config.kcfg/structureviewpreferences.kcfg
%{_datadir}/knsrcfiles/okteta-structures.knsrc
%{_datadir}/kservices5/oktetapart.desktop
%{_kde5_icondir}/hicolor/*/apps/okteta.png
%{_kde5_xdgmimedir}/okteta.xml
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/KastenControllers
%dir %{_includedir}/KastenControllers/Kasten
%{_includedir}/KastenControllers/Kasten/*
%dir %{_includedir}/KastenControllers/kasten
%{_includedir}/KastenControllers/kasten/*
%dir %{_includedir}/KastenCore
%dir %{_includedir}/KastenCore/Kasten
%{_includedir}/KastenCore/Kasten/*
%dir %{_includedir}/KastenCore/kasten
%{_includedir}/KastenCore/kasten/*
%dir %{_includedir}/KastenGui
%dir %{_includedir}/KastenGui/Kasten
%{_includedir}/KastenGui/Kasten/*
%dir %{_includedir}/KastenGui/kasten
%{_includedir}/KastenGui/kasten/*
%dir %{_includedir}/OktetaCore
%dir %{_includedir}/OktetaCore/Okteta
%{_includedir}/OktetaCore/Okteta/*
%dir %{_includedir}/OktetaCore/okteta
%{_includedir}/OktetaCore/okteta/*
%dir %{_includedir}/OktetaGui
%dir %{_includedir}/OktetaGui/Okteta
%{_includedir}/OktetaGui/Okteta/*
%dir %{_includedir}/OktetaGui/okteta
%{_includedir}/OktetaGui/okteta/*
%dir %{_includedir}/OktetaKastenControllers
%dir %{_includedir}/OktetaKastenControllers/Kasten
%dir %{_includedir}/OktetaKastenControllers/Kasten/Okteta
%{_includedir}/OktetaKastenControllers/Kasten/Okteta/*
%dir %{_includedir}/OktetaKastenControllers/kasten/okteta
%{_includedir}/OktetaKastenControllers/kasten/okteta/*
%dir %{_includedir}/OktetaKastenCore
%dir %{_includedir}/OktetaKastenCore/Kasten
%dir %{_includedir}/OktetaKastenCore/Kasten/Okteta
%{_includedir}/OktetaKastenCore/Kasten/Okteta/*
%dir %{_includedir}/OktetaKastenCore/kasten/okteta
%{_includedir}/OktetaKastenCore/kasten/okteta/*
%dir %{_includedir}/OktetaKastenGui
%dir %{_includedir}/OktetaKastenGui/Kasten
%dir %{_includedir}/OktetaKastenGui/Kasten/Okteta
%{_includedir}/OktetaKastenGui/Kasten/Okteta/*
%dir %{_includedir}/OktetaKastenGui/kasten/okteta
%{_includedir}/OktetaKastenGui/kasten/okteta/*
%{_libdir}/libKasten4Controllers.so
%{_libdir}/libKasten4Core.so
%{_libdir}/libKasten4Gui.so
%{_libdir}/libKasten4Okteta2Controllers.so
%{_libdir}/libKasten4Okteta2Core.so
%{_libdir}/libKasten4Okteta2Gui.so
%{_libdir}/libOkteta3Core.so
%{_libdir}/libOkteta3Gui.so
%{_libdir}/pkgconfig/OktetaCore.pc
%{_libdir}/pkgconfig/OktetaGui.pc
%{_libdir}/qt5/mkspecs/modules/qt_OktetaCore.pri
%{_libdir}/qt5/mkspecs/modules/qt_OktetaGui.pri
%{_libdir}/qt5/plugins/kf5/parts/oktetapart.so
%dir %{_libdir}/cmake/KastenControllers/
%{_libdir}/cmake/KastenControllers/KastenControllers*.cmake
%dir %{_libdir}/cmake/KastenCore/
%{_libdir}/cmake/KastenCore/KastenCore*.cmake
%dir %{_libdir}/cmake/KastenGui/
%{_libdir}/cmake/KastenGui/KastenGui*.cmake
%dir %{_libdir}/cmake/OktetaCore/
%{_libdir}/cmake/OktetaCore/OktetaCore*.cmake
%dir %{_libdir}/cmake/OktetaGui/
%{_libdir}/cmake/OktetaGui/OktetaGui*.cmake
%dir %{_libdir}/cmake/OktetaKastenControllers
%{_libdir}/cmake/OktetaKastenControllers/OktetaKastenControllers*.cmake
%dir %{_libdir}/cmake/OktetaKastenCore/
%{_libdir}/cmake/OktetaKastenCore/OktetaKastenCore*.cmake
%dir %{_libdir}/cmake/OktetaKastenGui/
%{_libdir}/cmake/OktetaKastenGui/OktetaKastenGui*.cmake

%changelog
* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 0.26.6-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 0.26.5-1mamba
- automatic version update by autodist

* Mon Aug 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26.4-1mamba
- update to 0.26.4

* Fri Mar 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Thu Jan 04 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Fri Oct 13 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Sat Aug 26 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Thu Aug 10 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 12 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Wed Dec 23 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Mon Sep 21 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 15.08.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 15.04.3-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 15.04.2-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 15.04.1-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 15.04.0-1mamba
- automatic version update by autodist

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 14.12.3-1mamba
- automatic version update by autodist

* Mon Jan 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 14.12.1-1mamba
- update to 14.12.1

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Fri Oct 24 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
